import request from '@/utils/request'

// 查询企业用户申请列表
export function listCustomer(query) {
  return request({
    url: '/system/audit/customer/list',
    method: 'get',
    params: query
  })
}

// 查询企业用户申请详细
export function getCustomer(id) {
  return request({
    url: '/system/audit/customer/' + id,
    method: 'get'
  })
}

// 新增企业用户申请
export function addCustomer(data) {
  return request({
    url: '/system/audit/customer',
    method: 'post',
    data: data
  })
}

// 修改企业用户申请
export function updateCustomer(data) {
  return request({
    url: '/system/audit/customer',
    method: 'put',
    data: data
  })
}

// 审核企业
export function auditCustomer(data) {
  return request({
    url: '/system/audit/customer/audit',
    method: 'post',
    data: data
  })
}

// 删除企业用户申请
export function delCustomer(id) {
  return request({
    url: '/system/audit/customer/' + id,
    method: 'delete'
  })
}
